Package org.apache.lucene.index

# Class ImpactsEnum

java.lang.Object
org.apache.lucene.search.DocIdSetIterator
org.apache.lucene.index.PostingsEnum
org.apache.lucene.index.ImpactsEnum

All Implemented Interfaces:
  `ImpactsSource`

Direct Known Subclasses:
  `SlowImpactsEnum`

public abstract class ImpactsEnum extends PostingsEnum implements ImpactsSource
Extension of `PostingsEnum` which also provides information about upcoming impacts.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Field Summary

### Fields inherited from class org.apache.lucene.index.PostingsEnum

`ALL, FREQS, NONE, OFFSETS, PAYLOADS, POSITIONS`

### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

`NO_MORE_DOCS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ImpactsEnum()`
Sole constructor.

## Method Summary

### Methods inherited from class org.apache.lucene.index.PostingsEnum

`endOffset, featureRequested, freq, getPayload, nextPosition, startOffset`

### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

`advance, all, cost, docID, empty, nextDoc, range, slowAdvance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.index.ImpactsSource

`advanceShallow, getImpacts`

## Constructor Details

### ImpactsEnum

protected ImpactsEnum()
Sole constructor.